Name:           octave_image
Version:	1.0.1
Release:	1%{?distsuffix}
Summary:	Image Processing
Group:		Applications/Engineering
License:	GPL version 2 or later
URL:		http://octave.sourceforge.net
Source0:	http://downloads.sourceforge.net/octave/image-1.0.1.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

## Package installs in a directory tree specific to the installed
## version of octave, so the following version dependency is necessary.
%define octave_ep  %(rpm -q --qf '%%{epoch}' octave)
%define octave_ver %(rpm -q --qf '%%{version}' octave)

Requires:	octave = %{octave_ep}:%{octave_ver}
Requires: ImageMagick

BuildRequires:	octave >= 2.9.7
BuildRequires:	gcc-c++ gcc-gfortran libstdc++-devel
BuildRequires:	libstdc++-devel 
BuildRequires:  %(rpm -q --qf '%%{name}' %(rpm -q -f `which mkoctfile`))
BuildRequires: png-devel
BuildRequires: jpeg-devel

%define builtpackage image-1.0.1.tar.gz
%define octave octave-%{octave_ver}

%description
The Octave-forge Image package provides functions for reading, writing, and processing images. The package supports almost all image formats through the use of ImageMagick. The package also provides functions for feature extraction, image statistics, spatial and geometric transformations, morphological operations, linear filtering, and much more.

%prep
rm -fr image-1.0.1
mkdir image-1.0.1
cd image-1.0.1
cp %{_sourcedir}/image-1.0.1.tar.gz .
chmod a+r image-1.0.1.tar.gz
mkdir tmp

%build
cd image-1.0.1
HOME=`pwd` %{octave} -H -q --no-site-file --eval "pkg('build','-nodeps','-verbose','tmp','image-1.0.1.tar.gz');"
cd tmp
tar xf image-1.0.1.tar
cat << EOF > image/on_uninstall.m
function on_uninstall (desc)
  error ("Can not uninstall image-1.0.1 installed by the RPM package manager");
endfunction
EOF
tar czf ../%{builtpackage} image

%install
cd image-1.0.1
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}
cp %{builtpackage} %{buildroot}%{_datadir}

%post
%{octave} -H -q --no-site-file --eval "warning('off','all');pkg('install','-global','%{_datadir}/%{builtpackage}')"
rm %{_datadir}/%{builtpackage}

%postun
%{octave} -H -q --no-site-file --eval "prefix=pkg('prefix');unlink(fullfile(prefix,'image-1.0.1','packinfo','on_uninstall.m'));pkg('uninstall','image')"

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/*

%changelog
# Changelog for packages rebuilt on stable releases (leave it first):
%{!?_with_unstable:* %(LC_ALL=C date +"%a %b %d %Y") %{packager} %{version}-%{release}}
%{!?_with_unstable: - rebuild of %{version}-%{rel}%{?distsuffix} for %{distversion}}

* Mon Jun 4 2007 The Octave Community 1.0.1-1%{?distsuffix}
- Automatically created from octave-forge package
